{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "hf:portal",
			"animations": {
			  "blue": "animation.portal.blue",
			  "red": "animation.portal.red"
			},
			"scripts": {
			  "animate": [
				{ "blue": "q.mark_variant==1" },
				{ "red": "q.mark_variant==2" }
			  ]
			},
			"particle_effects": {
				"red": "hf:portal_red",
				"blue": "hf:portal_blue",
				"red_idle": "hf:portal_red_idle",
				"blue_idle": "hf:portal_blue_idle"
			}
		}
	}
}